# Uses of Interface
java.lang.classfile.TypeAnnotation.CatchTarget

Packages that use TypeAnnotation.CatchTarget
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of TypeAnnotation.CatchTarget in java.lang.classfile

Methods in java.lang.classfile that return TypeAnnotation.CatchTarget
Modifier and Type
Method
Description
`static TypeAnnotation.CatchTarget`
TypeAnnotation.TargetInfo.`ofExceptionParameter(int exceptionTableIndex)`
Returns a target for annotations on the i'th type in an exception parameter declaration.